## slepc4py 3.20.2

=== debian/changelog ===
slepc4py (3.20.2-1ubuntu2) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 23 Sep 2024 12:35:09 +0000

slepc4py (3.20.2-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Cherry-pick change from petsc4py 3.19.6-1ubuntu1
      to fix a similar underlinking

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 19:26:38 +0200

slepc4py (3.20.2-1) unstable; urgency=medium

  * New upstream release
  * drop docs/usrman *.js entries in debian/copyright
  * Build-Depends-Indep: tex-gyre (for tgtermes.sty)
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 May 2024 11:10:59 +0200

slepc4py (3.20.1-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.20)
  * Build-Depends: cython3 (>= 3.0.0~)
    Drop debian patch revert_cython_pin_d7c06578.patch.
  * drop Build-Depends: python3-distutils. Closes: #1065955.
  * build all docs (html, man, info, pdf) from source

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Mar 2024 11:09:00 +0100

slepc4py (3.19.2-3ubuntu5) oracular; urgency=medium

  * Rebuild against new petsc/slepc 3.20 and .

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 10:53:49 +0200
