## slepc4py 3.21.2

=== debian/changelog ===
slepc4py (3.21.2-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Cherry-pick change from petsc4py 3.19.6-1ubuntu1
      to fix a similar underlinking

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Nov 2024 15:39:29 +0100

slepc4py (3.21.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: python3-setuptools. Closes: #1080903.

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Oct 2024 18:33:20 +0200

slepc4py (3.21.1-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.21)
  * Build-Depends: pybuild-plugin-pyproject (now has pyproject.toml)
    - requires manual removal of intermediate build dir in build rule
      (pybuild does not control the pyproject PEP517 build dir)

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Sep 2024 00:22:13 +0200
