## slepc4py 3.22.1

=== debian/changelog ===
slepc4py (3.22.1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 14:21:25 +0000

slepc4py (3.22.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Cherry-pick change from petsc4py 3.19.6-1ubuntu1
      to fix a similar underlinking

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 06 Dec 2024 15:40:09 +0000

slepc4py (3.22.1-2) unstable; urgency=medium

  * upload 3.22 to unstable. Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2024 23:46:55 +0100

slepc4py (3.22.1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.22.

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Nov 2024 11:05:59 +0100

slepc4py (3.21.2-1ubuntu2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 14:41:39 +0100
