## slepc4py 3.22.2

=== debian/changelog ===
slepc4py (3.22.2-1ubuntu3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:52:25 +0000

slepc4py (3.22.2-1ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:24:27 +0000

slepc4py (3.22.2-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Cherry-pick change from petsc4py 3.19.6-1ubuntu1
      to fix a similar underlinking

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 19:27:30 -0600

slepc4py (3.22.2-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Feb 2025 17:03:45 +0100
