=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: slepc4py
 Section: python
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), dh-python, chrpath,
@@ -10,13 +11,13 @@
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3-numpy (>= 1:1.4.1-4~),
- libslepc-real3.21-dev, libpetsc-real3.21-dev,
- libslepc-complex3.21-dev, libpetsc-complex3.21-dev,
+ libslepc-real3.22-dev, libpetsc-real3.22-dev,
+ libslepc-complex3.22-dev, libpetsc-complex3.22-dev,
  python3-petsc4py,
- python3-petsc4py-real3.21, python3-petsc4py-complex3.21,
- libslepc64-real3.21-dev, libpetsc64-real3.21-dev,
- libslepc64-complex3.21-dev, libpetsc64-complex3.21-dev,
- python3-petsc4py-64-real3.21, python3-petsc4py-64-complex3.21,
+ python3-petsc4py-real3.22, python3-petsc4py-complex3.22,
+ libslepc64-real3.22-dev, libpetsc64-real3.22-dev,
+ libslepc64-complex3.22-dev, libpetsc64-complex3.22-dev,
+ python3-petsc4py-64-real3.22, python3-petsc4py-64-complex3.22,
  mpi-default-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1),
@@ -35,7 +36,7 @@
 
 Package: python3-slepc4py
 Architecture: all
-Depends: python3-slepc4py-real | python3-slepc4py-complex | python3-slepc4py-real3.21 | python3-slepc4py-complex3.21 | python3-slepc4py-64-real | python3-slepc4py-64-complex | python3-slepc4py-64-real3.21 | python3-slepc4py-64-complex3.21,
+Depends: python3-slepc4py-real | python3-slepc4py-complex | python3-slepc4py-real3.22 | python3-slepc4py-complex3.22 | python3-slepc4py-64-real | python3-slepc4py-64-complex | python3-slepc4py-64-real3.22 | python3-slepc4py-64-complex3.22,
  python3-petsc4py,
  python3:any, ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
@@ -55,7 +56,7 @@
 
 Package: python3-slepc4py-real
 Architecture: all
-Depends: python3-slepc4py-real3.21,
+Depends: python3-slepc4py-real3.22,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -69,27 +70,27 @@
  This is a dummy package that depends on slepc4py for
  the latest version of SLEPc with real number support.
 
-Package: python3-slepc4py-real3.21
-Architecture: any
-Depends: python3-petsc4py-real3.21,
+Package: python3-slepc4py-real3.22
+Architecture: any
+Depends: python3-petsc4py-real3.22,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~)
 Conflicts: python3-slepc4py-real (<< 3.12.0-6~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for SLEPc 3.21 libraries (real numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.21 with real number support.
+Description: Python 3 bindings for SLEPc 3.22 libraries (real numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.22 with real number support.
 
 Package: python3-slepc4py-complex
 Architecture: all
-Depends: python3-slepc4py-complex3.21,
+Depends: python3-slepc4py-complex3.22,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -106,30 +107,30 @@
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the complex build.
 
-Package: python3-slepc4py-complex3.21
-Architecture: any
-Depends: python3-petsc4py-complex3.21,
+Package: python3-slepc4py-complex3.22
+Architecture: any
+Depends: python3-petsc4py-complex3.22,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~),
 Conflicts: python3-slepc4py-complex (<< 3.12.0-6~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for SLEPc 3.21 libraries (complex numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.21 with complex number support.
+Description: Python 3 bindings for SLEPc 3.22 libraries (complex numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.22 with complex number support.
  .
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the complex build.
 
 Package: python3-slepc4py-64-real
 Architecture: all
-Depends: python3-slepc4py-64-real3.21,
+Depends: python3-slepc4py-64-real3.22,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -147,29 +148,29 @@
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit build.
 
-Package: python3-slepc4py-64-real3.21
-Architecture: any
-Depends: python3-petsc4py-64-real3.21,
+Package: python3-slepc4py-64-real3.22
+Architecture: any
+Depends: python3-petsc4py-64-real3.22,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for 64-bit SLEPc 3.21 libraries (real numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.21 with real number support and 64-bit indexing.
+Description: Python 3 bindings for 64-bit SLEPc 3.22 libraries (real numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.22 with real number support and 64-bit indexing.
  .
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit build.
 
 Package: python3-slepc4py-64-complex
 Architecture: all
-Depends: python3-slepc4py-64-complex3.21,
+Depends: python3-slepc4py-64-complex3.22,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -187,22 +188,22 @@
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit complex build.
 
-Package: python3-slepc4py-64-complex3.21
-Architecture: any
-Depends: python3-petsc4py-64-complex3.21,
+Package: python3-slepc4py-64-complex3.22
+Architecture: any
+Depends: python3-petsc4py-64-complex3.22,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for 64-bit SLEPc 3.21 libraries (complex numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.21 with complex number support and 64-bit indexing.
+Description: Python 3 bindings for 64-bit SLEPc 3.22 libraries (complex numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.22 with complex number support and 64-bit indexing.
  .
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit complex build.
